package com.ruoyi.zhushi.service;

import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.zhushi.entity.NjRuleConfigAndUserDTO;
import com.ruoyi.zhushi.entity.NjRuleConfigDTO;

import java.util.List;

public interface NjRuleConfigService {

    TableDataInfo<NjRuleConfigDTO> queryRuleConfig(NjRuleConfigDTO njRuleConfigDTO, PageQuery pageQuery);

    public Boolean addRule(NjRuleConfigDTO njRuleConfigDTO);

    public int delRule(long id);

    public int delUser(long id);


    public List<NjRuleConfigDTO> queryAll();

    List<NjRuleConfigAndUserDTO> queryUserByRuleConfigId(Long id);
}
